Magento 2.4 system demands. What is in your plan?

Magento 2.4 system demands. What is in your plan?

If you should be taking care of a Magento Commerce Cloud task, see Service versions within the Cloud Guide.

Systems (Linux x86-64)

Linux distributions, such as RedHat Enterprise Linux (RHEL), CentOS, Ubuntu, Debian, and comparable. Magento is certainly not supported on Microsoft Windows and macOS.

Memory requirement

Updating the Magento applications and extensions you get from Magento Marketplaces as well as other sources can need up to 2GB of RAM. We recommend you create a swap file; otherwise, your upgrade might fail if you are using a system with less than 2GB of RAM.

Supported browsers

Storefront and Admin:

  • Microsoft Edge, latest–1
  • Firefox latest, latest–1 (any operating-system)
  • Chrome latest, latest–1 (any os)
  • Safari latest, latest–1 (Mac OS just)
  • Safari Cellphone for iPad 2, iPad Mini, iPad with Retina Display (iOS 12 or later on), for desktop storefront
  • Safari mobile phone for iPhone 6 or later; iOS 12 or later on, for mobile storefront
  • Chrome for mobile latest–1 (Android best internet installment loans Alaska os 4 or later) for mobile storefront

Here, latest–1 means one version that is major as compared to latest released variation.

Composer

Composer is needed for designers who would like to donate to the Magento 2 anyone or codebase whom wants to build up Magento extensions.

Magento will not help Composer 2.x.

Online servers

In addition, the apache must be enabled by you mod_rewrite and mod_version modules. The mod_rewrite module allows the host to perform Address rewriting. The mod_version module provides versatile variation checking for various httpd versions. To learn more, see our Apache paperwork.

Database

  • MySQL 8.0 for on-premise installments
  • MariaDB 10.4 for Magento Commerce Cloud tasks

Magento can also be appropriate, but will not be tested and it is not advised, with MySQL 5.7.9, MariaDB 10.2, and Percona 5.7.

Magento just utilizes MySQL features appropriate for MariaDB. Continue reading “Magento 2.4 system demands. What is in your plan?”